using FruitBank.Common.Interfaces;
using Nop.Web.Framework.Models;
using Nop.Web.Framework.Mvc.ModelBinding;

namespace Nop.Plugin.Misc.FruitBankPlugin.Models
{
    public record ProductAttributesModel : BaseNopModel, IMeasurable, IMeasuringWeights, ITare, IIncomingQuantity
    {
        public int ProductId { get; set; }

        [NopResourceDisplayName("Plugins.YourCompany.ProductAttributes.Fields.IsMeasurable")]
        public bool IsMeasurable { get; set; }

        [NopResourceDisplayName("Plugins.YourCompany.ProductAttributes.Fields.NetWeight")]
        public double NetWeight { get; set; }

        [NopResourceDisplayName("Plugins.YourCompany.ProductAttributes.Fields.NetWeight")]
        public double GrossWeight { get; set; }

        [NopResourceDisplayName("Plugins.YourCompany.ProductAttributes.Fields.IncomingQuantity")]
        public int IncomingQuantity { get; set; }

        [NopResourceDisplayName("Plugins.YourCompany.ProductAttributes.Fields.Tare")]
        public double Tare { get; set; }

        [NopResourceDisplayName("Plugins.YourCompany.ProductAttributes.Fields.AverageWeight")]
        public double AverageWeight { get; set; }

        [NopResourceDisplayName("Plugins.YourCompany.ProductAttributes.Fields.AverageWeightTreshold")]
        public double AverageWeightTreshold { get; set; }
    }
}